Subject: Re: [PATCH v3 0/4] AM437x: Add rtc-only + DDR mode support

From: Tony Lindgren <[email-masked]>
Date: Mon, 8 Apr 2019 10:26:54 -0700

* Keerthy <[email-masked]> [190402 21:57]:
> RTC plus DDR in self-refresh is a power saving mode where in the entire
> system including the different voltage rails from PMIC are shutdown except
> the ones feeding on to RTC and DDR. DDR is kept in self-refresh hence the
> contents are preserved.
> 
> RTC ALARM2 is connected to PMIC_EN line. TPS65218 PMIC has granular voltage rail
> control. The voltage rail feeding RTC is kept on while the rest of the PMIC
> regulators are powered off.
> 
> Once the ALARM2 is triggered we enter the mode with DDR in self-refresh
> and RTC Ticking. After a predetermined time an RTC ALARM1 triggers
> waking up the system. The control goes to bootloader. The bootloader then checks
> RTC scratchpad registers to confirm it was an rtc_only wakeup and follows
> a different path, configure bare minimal clocks for ddr and then jumps to
> the resume address in another RTC scratchpad registers and transfers the
> control to Kernel. Kernel then restores the saved context.
> 
> The patch series adds rtc-only + DDR mode support am am437x
> Tested DS0, rtc+ddr back and forth on am437x-gp-evm board.
> 
> This mode works only with u-boot built with am43xx_evm_rtconly_defconfig
> 
> Additional patch is needed for omap-gpio save restore which will
> come as fixes later.
> 
> Hardware Description of this mode can be found here: 
> 
> http://www.ti.com/lit/ug/spruhl7h/spruhl7h.pdf Page 2884.
>
> Changes in v3:
> 
>   * Exported out omap_rtc_poweroff_program function & removed
>     the patch to add a generic rtc interface as it is specific
>     to am43 at the moment.

Thanks I'll be applying this series into omap-for-v5.2/am4-pm
today.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel